Department Details

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://reference.textline.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Textline API MCP server": {
    "url": "https://reference.textline.com/mcp"
  }
}

Close
GET /api/groups.json

Retrieve information about the departments in your account. Similar to the organization call, except with more detail and without nesting.

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • departments array
GET /api/groups.json
curl \
 --request GET 'https://application.textline.com/api/groups.json'
Response examples (200)
{
  "departments": [
    {
      "name": "Customer Service",
      "uuid": "c43a1766-47e1-4c9c-a2cc-36bf424fcbc0",
      "phone_number": "(415) 849-4349",
      "is_sms_group": true,
      "user_uuids": [
        "21ca50a9-a85d-49d1-9266-0df69fd5a9ef",
        "35c450e8-5b60-46e2-b691-481419462c16"
      ],
      "type": "sms",
      "facebook_page_id": "null",
      "smart_sms_phone_numbers": [
        {
          "display_phone_number": "(305) 867-5309",
          "location": "Miami, Florida, US"
        }
      ]
    }
  ]
}